Bug 53541 - (NET CS89X0) Module cx89x0 for device cs8920m fails with
(NET CS89X0) Module cx89x0 for device cs8920m fails with
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-11 01:42 EDT by Leigh Purdie
Modified: 2013-07-02 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leigh Purdie 2001-09-11 01:42:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
Driver/card working under redhat 7.1 with identical configuration options.

Forcing the cs8920m to use rj45 with the dos-based config program (as 
opposed to the default autodetect) does not fix matters.

Modifying cs89x0.c to forge rj45 'detection' results in packet send errors 
once module has been loaded. cs89x0.c does not seem to have been modified 
from 7.1, which leads me to think there may be a problem somewhere else in 
the kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
(Configuration dependant)
1. insmod cs89x0.o io=0x200 irq=5 debug=10
2. sleep 2
3. dmesg | tail

Actual Results:  cs89x0.c: v2.4.3-pre1 Russell Nelson ......
eth0: cs8920M rev D found at 0x200 <6>eth0: PP_LineCTL=0x8253, 
adapter_cnf=0x63 [Cirrus EEPROM]
EEPROM data from 1c for 14:
6000 2c94 efca 390b 0000 0000 0000 0180 0721 0000 0000 bf0f 60000 2c94 
efca 0000 0000 0000 0106 0583
eth0: new adapter_cnf: 063
cs89x0 media RJ-45,AUI, IRQ 5, programmed I/O, MAC 00:60:94:blah...
cs89x0_probe1() successful
eth0: EEPROM is configured for unavailable media

Expected Results:  All but the last line.

Additional info:

IBM 300GL, on-board network adapter, pnp capable, but configured in both 
pnp and non-pnp modes for testing.
Comment 1 Leigh Purdie 2001-09-17 23:04:24 EDT
Forcing driver to use rj45 using the following line within cs89x0_probe1() gets 
the network card up and running for my configuration:
lp->adapter_cnf |= A_CNF_10B_T | A_CNF_MEDIA_10B_T;

I also disabled the 'Check if card is in x only mode' lines. (eg: Check if card 
is n AUI only mode)

Unsure whether this is specifically a cs8920M problem.

Two possible alternatives:
* If user specifically specifies a media type on the insmod line, do not probe 
for media - assume the user knows what they are doing.
* Add a noprobe module parameter?

Comment 2 Bugzilla owner 2004-09-30 11:39:10 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.